#include "ServiceFactory.hpp"

#include <map>
#include <string>
#include "Service.hpp"

using namespace mole;
using namespace serv;

ServiceFactory::ServiceFactory(){}

ServiceFactory::~ServiceFactory(){}

void
ServiceFactory::addService(std::string key, Service * serv){
  list[key] = serv;
}

Service *
ServiceFactory::getService(std::string key){
  return list[key];
}

/* TODO : iterator map */
std::string
ServiceFactory::listServices(){
}	
